SymmetryInfo
Date: 2019-10-22

org.jmol.symmetry

## Class SymmetryInfo

- java.lang.Object
- - org.jmol.symmetry.SymmetryInfo

-     class SymmetryInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int[]` | `cellRange`
    `(package private) boolean` | `coordinatesAreFractional`
    `(package private) java.lang.String` | `infoStr`
    `java.lang.String` | `intlTableNo`
    `(package private) boolean` | `isMultiCell`
    `(package private) java.lang.String` | `latticeType`
    `(package private) java.lang.String` | `sgName`
    `(package private) SymmetryOperation[]` | `symmetryOperations`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SymmetryInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) float[]` | `setSymmetryInfo(java.util.Map<java.lang.String,java.lang.Object> info, float[] unitCellParams)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### coordinatesAreFractional

          boolean coordinatesAreFractional

    - #### isMultiCell

          boolean isMultiCell

    - #### sgName

          java.lang.String sgName

    - #### symmetryOperations

          SymmetryOperation[] symmetryOperations

    - #### infoStr

          java.lang.String infoStr

    - #### cellRange

          int[] cellRange

    - #### latticeType

          java.lang.String latticeType

    - #### intlTableNo

          public java.lang.String intlTableNo

  - ### Constructor Detail

    - #### SymmetryInfo

          SymmetryInfo()

  - ### Method Detail

    - #### setSymmetryInfo

          float[] setSymmetryInfo(java.util.Map<java.lang.String,java.lang.Object> info,
                                  float[] unitCellParams)

      Parameters:
        `info` -
        `unitCellParams` - an array of parameters could be from model, but also could be from a trajectory listing
      Returns:
        actual unit cell parameters